Red Hat Linux/x86 7.2 Release Notes
---------------------------------------------

Anaconda/Installer Notes
------------------------

 Boot-Loader
 -----------

   - Als standardmäßigen Boot-Loader verwenden wir GRUB. 
     LILO steht aber weiterhin für Legacy-Installationen zur 
     Verfügung.

   - GRUB unterstützt ein Passwort, das den Zugriff zur GRUB-
     Shell kontrolliert. Da GRUB arbiträre Befehle ausführen 
     kann, ist dies ein wichtiger Aspekt bei der Wahrung der 
     Systemsicherheit. Bitte bedenken Sie die Folgen, wenn Sie sich 
     für oder gegen die Verwendung eines GRUB-Passwortes 
     entscheiden.  Dieses Passwort wird mit Hilfe von MD5 
     verschlüsselt. Weitere Informationen finden Sie in der man- 
     Seite grub-md5-crypt.
    
   - Bei der Durchführung eines Upgrades einer älteren Version 
     von Red Hat Linux ist es notwendig, den Boot-Loader aus der 
     gleichen Speicherstelle herauszuschreiben, die bei der vorherigen  
     Version verwendet wurde. Wenn der Boot-Loader zum Beispiel 
     ursprünglich im Master Boot Record (MBR) war, muss
     er bei einem Upgrade des Systems ebenfalls in den MBR geschrieben 
     werden, da das System sonst höchstwahrscheinlich nicht booten 
     kann.
     
   - Wenn Sie den GRUB Boot-Loader verwenden, beachten Sie, dass Sie
     GRUB nicht erneut ausführen müssen, nachdem Sie Ihren 
     Kernel aktualisiert haben. Im Unterschied zum LILO Boot-Loader, bei
     dem nach jeder änderung LILO erneut ausgeführt werden 
     muss. Durch das Modifizieren der Konfigurationsdatei von GRUB  
     kann GRUB Ihren neuen Kernel booten. 

   - Wenn Sie die Verwendung des GRUB Boot-Loaders nach der Installation
     überspringen möchten oder GRUB neu installieren 
     müssen, verwenden Sie den Befehl /sbin/grub-install. Die 
     Befehlssyntax muss die Spezifikation des Gerätes enthalten, 
     die angibt, wo der Boot-Loader installiert werden soll.

     Beispiel: 
               /sbin/grub-install /dev/hda

   - Um in den Einzelbenutzermodus von GRUB zu booten, gehen Sie am 
     Menübildschirm von GRUB wie folgt vor: 

         1.  Wählen Sie den gewünschten Kernel.

         2.  Drücken Sie die Taste 'e', um die Eingabe zu 
             bearbeiten.

         3.  Verwenden Sie zum Navigieren zu der Kernel-Zeile die 
             Pfeiltasten (z.B. kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  Dr&uumlcken Sie die Taste 'e', um die Zeile zu bearbeiten. 

         5.  Fügen Sie an das Ende der Zeile das Argument 'single' 
             an, und dr&uucken Sie die Eingabetaste. 

         6.  Drücken Sie zum Booten die Taste 'b'. 


 Partitionieren
 --------------

   - Die Disk Druid Benutzeroberfläche wurde neu designed um ein 
     Interface einzugliedern, dass die Vorteile einer grafischen Umgebung
     besser nutzt. 

   - Disk Druid kann jetzt durch die Spezifizierung eines Zylinderbereichs 
     primäre Partitionen erstellen. 

   - Disk Druid unterstützt jetzt die Möglichkeit festzulegen, dass 
     eine neue Partition als primäre Partition erstellt werden muss.

   - Installationen im Textmodus verfügen über Support für die
     Erstellung eines RAID-Gerätes. 

   - Das Spezifizieren von Spare-Laufwerke für RAID-Geräte wird jetzt
     unterstützt.

   - Das automatische Partitionieren erlaubt Ihnen nun festzulegen, welche
     Laufwerke verwendet und welche vermieden werden sollten.

   - Es gibt jetzt eine Option mit der die Resultate der automatischen 
     Partitionierung angezeigt und bearbeitet werden können (nur bei der
     grafischen Installation -- bei der Installation im Textmodus werden die 
     Resultate immer angezeigt).

   - Das ext3 Journaling-Dateisystem steht nun zur Verfügung.

   - Bereits vorhandene Dateisysteme können während der Installation
     zum Neuformatieren ausgewählt werden.

   - Vorhandene ext2 Dateisysteme können während einer Installation 
     oder eins Upgrades nach ext3 migriert werden. Dieser Prozess hat keine 
     Auswirkungen auf die Daten in dem Dateisystem. 

   - Es werden viele zusätzliche Kontrollen der von Benutzern 
     erstellten Mount-Points durchgeführt. Dadurch werden die 
     häfigsten Probleme (wie z.B. ein '/' Mount Point von nur 5 MB) 
     vermieden. 

   - GNU Parted wird als Partitionierungsbackend verwendet und ersetzt die 
     Bibliothek libfdisk. 

     Parted bestimmt den Typ des Dateisystems, indem es das aktuell auf einer
     Partition geschriebene Dateisystem überprüft, anstatt sich auf 
     den Dateisystemtyp zu verlassen, der in der Partitionstabelle angegeben
     ist, was zu Verwirrungen führen kann, wenn bereits Partitionen
     vorhanden sind. 

     Wenn Sie zum Beispiel mit fdisk den Partitionstyp einer VFAT-Partition in
     ext2 ändern möchten, wird parted diese weiterhin als VFAT-
     Partition erkennen, da sich bereits ein VFAT-Dateisystem auf dieser 
     Partition befindet. In diesem Beispiel müssen Sie die Partition mit
     dem Disk Druid Interface als ext2 neu formatieren, damit die Partition 
     als ext2 verarbeitet wird. Immer, wenn Sie fdisk innerhalb des Installers
     verwenden und am Disk Druid Bildschirm Mount Points festlegen, sollten Sie
     jede Partition (in Disk Druid) überprüfen und bearbeiten sowie
     die Formatoptionen entsprechend einstellen.  

 Kickstart
 ---------
 
   - Während des Installationssprozesses wird eine Kickstart-Datei, die 
     die vom Benutzer gewählten Optionen für die Installation 
     wiedergibt in  /root/anaconda-ks.cfg geschrieben. Diese Datei kann dazu 
     verwendet werden, eine Installation zu erstellen, die dem neu 
     installierten System ähnelt.

   - Kickstart wird im Grafikmodus ausgeführt (wenn dieser Modus vorhanden
     ist). Mit der Anweisung 'text' in der Kickstart-Datei, kehren Sie zum 
     Textmodus zurück. 

   - Kickstart Configurator (ksconfig) unterstützt das Erstellen von 
     Partitionen auf einem speziellen und vorhandenen Laufwerk, das 
     Konfigurieren von X, das Schreiben von Pre- und Postinstallationsscripten,
     das Durchführen von Upgrades und die neue Merkmale von Kickstart in 
     dieser Version. Er ermöglicht Benutzern Ihre getroffene Auswahl als 
     Vorschau zu sehen, bevor die Datei gespeichert wird und verfügt 
     über ein integriertes Handbuch, das den Benutzer bei der Erstellung 
     von einfachen Kickstrat-Dateien unterstützt.  

   - Kickstart hat einige neue Features/Anweisungen:

     interactive --  liest Kickstart-Datei ein, geht aber interaktiv durch die
                     Standardinstallations-Oberfläche, in der die 
                     Kickstart-Optionen pre-selektiert sind.

     text -- erzwingt die Ausführung von kickstart im Textmodus. 
             Standardmäßig wird jeztzt der Grafikmodus 
             ausgeführt.  

   - Die Anweisung clearpart akzeptiert jetzt eine  --ondisk Option:

     --ondisk -- Sie können festlegen, auf welchen Laufwerken Sie 
                 Partitionen erstellen möchten. 

   - Ein neuer Befehl für Boot-Loader, 'bootloader' der Folgendes 
     unterstützt: 

     -- append <args> -- füge <args> an den Kernel-Aufruf an

     --useLilo -- LILO statt GRUB verwenden

     --md5pass <crypted MD5 password> -- Password für die Verwendung
                                         von GRUB 

   - Fügt der xconfig-Anweisung Kennzeichen hinzu um Folgendes 
     festzulegen:

     --resolution 1024x768 -- stellt die Bildschirmauflösung ein
                                 (in diesem Beispiel 1024 mal 768)

     --depth 16 -- stellt die angezeigte Farbtiefe ein (in diesem Beispiel 
                   16-bit) 

 Verschiedenes
 -------------

   - Der Bildschirm für die individuelle Auswahl von Paketen 
     unterstützt eine ebene Ansicht aller Pakete.

   - Für FTP-basierte Installationen ist es jetzt möglich, Red Hat 
     Linux ISO auf einem FTP-Server als Loopback zu mounten.  Das ISO-Image 
     wird als Loopback wie folgt gemountet: /disc1, /disc2 und so weiter -- 
     im gleichen Verzeichnis. Dieses Verzeichnis sollte beim Starten einer  
     FTP-basierten Installation genau angegeben werden. 

   - Um im Installationsimage den Platz zu maximieren, verfügt das 
     Programm BusyBox &uuml,ber Support für viele im Allgemeinen 
     verwendete Befehle. 

   - Bevor das Installierte System versucht, das Dateisystem zu mounten, wird
     der Rettungsmodus angefordert.

  - Partitionlose Installationen werden nicht länger
    unterstützt. Upgrades für frühere partitionslose
    Installationen werden jedoch weiterhin unterstützt. 

   - USB-Floppygeräte werden während der Installation jetzt 
     unterstützt. 


Allgemeine Anmerkung dieser Distribution  
----------------------------------------

   - Es gibt einige bekannte Probleme beim Upgraden der Red Hat Linux 6.x, 7.0
     und 7.1-Systeme, die Ximian GNOME ausführen.

     Das Problem besteht bei Versionen, bei denen  sich die offiziellen Red 
     Hat Linux RPMs mit den Ximian RPMs überschneiden.  Bitte bedenken 
     Sie, dass diese Konfiguration nicht von Red Hat unterstützt wird.  
     Es gibt verschiedene Möglichkeiten, dieses Problem zu lösen:  

     - Sie können Ximian GNOME aus Ihrem Red Hat Linux System entfernen, 
       bevor Sie Red Hat Linux upgraden. 

     - Sie können Red Hat Linux upgraden und anschließend Ximian
       GNOME sofort neu installieren. 

     - Sie können Red Hat Linux upgraden, sofort alle verbliebenen Ximian
       RPMs entfernen und diese durch die entsprechenden RPMs von Red Hat
       Linux ersetzen.

     Auf jeden Fall *müssen* Sie sich für eine dieser 
     Möglichkeiten bei der Lösunfg dieser überschneidungen 
     entscheiden, da andernfalls GNOME nicht stabil konfiguriert werden kann. 

   - GNOME wurde auf 1.4 aktualisiert und enthält die grafische Shell
     Nautilus.

   - Das GNOME Kontrollcenter wurde durch den Ordner 'Präferenzen:' 
     ersetzt. 'gnomecc' kann weiterhin manuell ausgeführt werden. 

   - Die PowerTools-CD wird nicht länger hergestellt. Die meisten der 
     weitverbreiteten Pakete, die in PowerTools enthalten waren, wurden in Red
     Hat Linux einbezogen. 
 
   - Firewall Konfiguration -- Für eine erhöhte Sicherheit k&oumlnnen
     Sie eine Firewall als Teil Ihrer Systeminstallation konfigurieren.  Sie
     können zwischen zwei verschiedenen Sicherheitsstufen wählen
     sowie entscheiden, welche allgemeinen Systemservice 
     standardmäßig erlaubt bzw. nicht erlaubt werden sollen.

     Beachten Sie, dass sowohl 'mittlere' als auch 'hohe' Firewalleinstellungen
     dazu führen, dass RPC-basierte Service (wie NIS oder NFS) blockiert
     und deshalb nicht ausgeführt werden. 

   - XFree86 wurde auf 4.1.0 aktualisiert und enthält verbesserten 
     Hardwaresupport. Für ATI Radeon ist eine Beschleunigung der 3D
     Hardware enthalten. Die meisten Grafiktreiber unterstützen RENDER-
     Erweiterungen. Diese unterstützen anti-alias-Zeichen für eine 
     größere Anzahl von Hardware. Die alten XIE und PEX (Phigs) X-
     Erweiterungen werden nun offiziell vom XFree86-Team abgelehnt, und sind
     in künftigen Versionen von Red Hat Linux nicht mehr enthalten.  

  - XFree86 3.3.6 wird nicht länger unterstützt und aus künftigen 
    Versionen von Red Hat Linux entfernt.  Zur Zeit ist es zum Zweck der 
    Kompatibilität noch enthalten. 

   - Die initscripts verwenden jetzt für die meisten Operationen 
     /sbin/ip (aus den iproute Paketen). Für /sbin/ip sind die netlink 
     und netlink Routing Features des Kernels erforderlich, da ohne diese
     Features das Routing des Kernels nicht funktioniert. Wenn Sie Ihren 
     eigenen Kernel erstellen, aktivieren Sie CONFIG_NETLINK und
     CONFIG_RTNETLINK.

   - Für koreanisch wurde einheitlicher Support hinzugefügt. 

   - Binutils und gcc unterstützen das Vermischen von Zeichenketten und 
     konstanten Kopien mit allen binären oder gemeinsamen Bibliotheken 
     (frühere Duplikate wurden in einer einzelnen Compilierung vermischt).

   - gcc-3.0 bietet Support für C++ oder STL und für Java-Features
     von gcc. Beachten Sie, dass der unterstützte System-Compiler für
     C und C++ noch immer gcc-2.96 ist (Red Hat).

   - Das Paket VNC unterstützt eine neue Art der Verschlüsselung 
     für low-bandwidth-Verbindungen. 

   - Red Hat Linux enthät die erste Version des Gnome XSLT Prozessors 
     (xsltproc), der die Version 2 der dazugehörigen XML-Bibliothek 
     verwendet. 

   - php verfügt nun über ODBC-Support, postgresql wurde auf 7.1.2 
     aktualisiert, Python Interfaces wurden hinzugefügt und 
     Perl-Interfaces aktualisiert. 

   - Einige neue Konfigurations-Tools sind hinzugekommen. Mit diesen Tools 
     können Sie Folgendes konfigurieren: 

       -  Netzwerk (redhat-config-network)
       -  Zeit/Datum (redhat-config-date)
       -  Systemkontrolle (redhat-config-services)
       -  Benutzer/Gruppen (redhat-config-users)
       
   - Die folgenden Pakete/Features werden nicht mehr unterstützt und aus 
     künftigen Red Hat Linux Versionen entfernt: 
     
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 compatibility libraries/build environment
       - Red Hat Linux 6.x build environment
       - Enlightenment window manager
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

Kernel Merkmale
---------------

   - Der Kernel enthält jetzt das ext3 Journalling Dateisystem. Dieses
     Dateisystem hat 3 Verfahrensmodi:  

       - 'ordered'
       - 'journal'
       - 'writeback'

     Der Standardmodus ist 'ordered', bei dem nach einem Absturz sichergestellt
     ist, dass die gültigen Daten der vor dem Absturz bearbeiteten Dateien
     angezeigt werden. 

     Der 'writeback' Modus ist in einigen Fällen schneller. Das Speichern
     der Daten wird hierbei jedoch nicht so konsequent erzwungen, so dass nach
     einem Absturz Daten der zuvor geschriebenen Dateien nicht wieder 
     vollständig angezeigt werden. 

     Der 'journal' Modus kopiert alle Daten in das Journal und kann mit 
     großer Geschwindigkeit booten, wenn Sie gleichzeitig viele Daten
     schreiben (z.B. auf Mail-Spools oder synchronen NFS-Servern). Bei mormalem
     Gebrauch ist der 'journal' Modus erheblich langsamer. 

     Die Modi werden mithilfe der 'data=<mode>' Mount-Option in /etc/fstab
     oder in der Befehlszeile zum Mounten als 'mount -o data=<mode>' 
     eingestellt.

     üblicherweise wird ein ext2 Dateisystem automatisch entweder nach 
     einem bestimmten Zeitraum oder nach einer gewissen Anzahl von Mounts seit
     der letzten Prüfung des Dateisystems kontrolliert. Um die 
     Integrität des Dateisystems zu überprüfen, wird 
     während des Bootens des Systems ein kompletter 'fsck' (file system
     check, überprüfung des Dateisystems) durchgeführt. 

     Wenn der Installer ein ext3-Dateisystem erstellt oder eine Aktualisierung
     eines ext2 auf ein ext3-Dateisystem durchführt, werden diese 
     automatischen überprüfungen deaktiviert. Verwenden Sie 
     'tune2fs' mit der '-c' und/oder '-i' Option, um die 
     überprüfungen wieder zu aktivieren, oder deaktivieren Sie diese 
     in einem ext3-Dateisystem, das Sie manuell erstellt haben. 

     Beachten Sie, dass diese Cleanup fsck Scans keine Auswirkungen auf das
     Verhalten des Dateisystems haben, wenn ein Fehler auf der Platte erkannt
     wird, oder wenn es zu einem Absturz kommt.  Wird auf der Platte ein Fehler
     eines Dateisystems erkannt, wird beim folgenden Neubooten für beide 
     Dateisysteme (ext2 und ext3) ein fsck durchgeführt. Bei einem 
     Absturz eines ansonsten intakten Dateisystems erzwingt ext2 immer einen
     fsck und ext3 führt die Schritte zur Wiederherstellung des 
     Dateisystems durch. Diese Cleanups haben keine Auswirkungen auf die 
     Einstellungen der 'tuns2fs' Checks. 

     Bitte bedenken Sie, daß bei einem Leistungsabfall selbst ein
     Journaling- Dateisystem zerstört werden kann. Bei einem
     Leistungsabfall ist das Verhalten des Systems nicht vorhersehbar. So
     kann zum Beispiel der Inhalt des Speichers zerfallen (wird willkürlich
     beschädigt), wenn er auf eine Festplatte kopiert wird, die mit
     verringerter Leistung läuft.  Dies ist eine völlig andere Situation
     als beispielsweise wenn der Button "reset" betätigt wird, während das
     System läuft. Darüber hinaus verfügen IDE-Laufwerke im Gegensatz zu
     SCSI-LAufwerken nicht über die Garantien, dass der Schreibbefehl
     ausgeführt wird.

     Daher gibt es die Möglichkeit, nach einem System-Absturz Ihre
     Dateisysteme auf ihre Integrität zu prüfen. Die Datei /.autofsck ist
     das Crash-Flag, das verwendet wird, um diese Funktion
     auszuführen. Geben Sie während des Bootens nach einem Systemabsturz
     innerhalb von fünf Sekunden "y" ein, und Ihre Dateisysteme werden
     kontrolliert.

  - Red Hat Linux installiert einen Kernel, der für Athlon-
    Prozessoren auf Systemen mit einem Athlon-Klasse CPU optimiert ist.
    Aufgrund dieser Optimierung ist eine größere Belastung
    der Systemkomponenten möglich. Darüberhinaus verringert 
    sich die Anzahl der Systeme, deren Hardware nicht mit den AMD
    Spezifikationen genau übereinstimmen, und aus diesem Grund nicht
    booten können. Auf diesen Systemen können Sie entweder
    die Hardware aufrüsten, oder den Rettungsmodus des Installers
    verwenden, um einen i686-Kernel zu installieren. 

  - Einige Computer der Athlon-Klasse entsprechen nicht dem Standard oder
    besitzen ein übermäßig agressives, durch ihr BIOS eingestelltes 
    Konfigurations-Set. Auf diesen Systemen werden während des Bootens 
    (nachdem der Installationsprozess erfolgreich abgeschlossen wurde) 
    eventuell vereinzelte "Oops"-Mitteilungen angezeigt, und es kann 
    nicht erfolgreich gebootet werden. Um die Athlon-Optimisierung auf 
    diesen Systemen auszuschalten, booten Sie mit der Option "noathlon".
    Um solche Situationen künftig zu vermeiden, installieren Sie 
    anstelle des Athlon-Kernels den Kernel 686.

Druckermerkmale
---------------

   - Das printconf System bietet jetzt ein printconf-tui Programm für die
     Konfiguration des Druckers im Textmodus. 

   - Mit dem printconf-tui Programm können Befehlszeilen importiert oder
     exportiert werden. Der Import kann Druckerdefinitionen 
     mit denen vermischen, die bereits vorhanden sind oder diese außer 
     Kraft setzen (Standard). 

     Beispiel:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     oder:
         printconf-tui --Ximport --merge < settings.xml

     Kombiniert mit einer Umleitung -- wie z.B. bash's 'here documents' 
     (mehr Informationen finden Sie in der bash man-Seite)
     -- ist es jetzt einfacher, Druckersetups in Kickstart-Dateien abzulegen.

   - Das printconf-tui Programm kann Einstellungen komplett löschen. 

     Beispiel:

          printconf-tui --Xclear

   - Die printconf Tools verfügen nun über die eingeschränkte 
     Möglichkeit Drucker automatisch zu erkennen.

   - redhat-config-printer-tui und redhat-config-printer-gui alias
     printconf-tui und printconf-gui, entsprechend.
     
   - Ghostscript wurde auf 6.51 aktualisiert und unterstützt viele 
     zusätzliche Treiber sowie verschlüsselte PDF-Dateien. 

   - Für die Hewlett Packard's hpijs ghostscript Druckertreiber wurde
     Support hinzugefügt. Obwohl sie nicht in dieser Distribution 
     enthalten sind, können sie Dank der Lizenzbestimmungen von folgender
     Seite heruntergeladen werden: http://hpinkjet.sourceforge.net und als 
     Drop-in Komponenten arbeiten. 

i386 7.2
